FileTransfer::File Struct Reference

`#include <jinglefiletransfer.h>`

## Public Attributes

std::string | name
std::string | date
std::string | desc
std::string | hash
std::string | hash_algo
long int | size
bool | range
long int | offset

## Detailed Description

A struct holding information about a file.

Definition at line 57 of file jinglefiletransfer.h.

## Member Data Documentation

## date

std::string date

The file's (creation?) date

Definition at line 60 of file jinglefiletransfer.h.

## desc

std::string desc

A description.

Definition at line 61 of file jinglefiletransfer.h.

## hash

std::string hash

The file's cehcksum.

Definition at line 62 of file jinglefiletransfer.h.

## hash_algo

std::string hash_algo

The algorithm used to calculate the checksum

Definition at line 63 of file jinglefiletransfer.h.

## name

std::string name

The file's name.

Definition at line 59 of file jinglefiletransfer.h.

## offset

long int offset

An (optional) offset.

Definition at line 66 of file jinglefiletransfer.h.

## range

bool range

Signifies that an offset transfer is possible.

Definition at line 65 of file jinglefiletransfer.h.

## size

long int size

The filesize in Bytes.

Definition at line 64 of file jinglefiletransfer.h.

The documentation for this struct was generated from the following file:

- jinglefiletransfer.h